﻿using NodaTime;

namespace Drive.Commands
{
    public class SplitContractMessage :
        Sales.Contracts.ISplitContractCommand,
        Scheduling.Contracts.ISplitContractCommand,
        Creative.Contracts.ISplitContractCommand
    {
        public Guid SourceContractId { get; set; }
        public Guid DestinationContractId { get; set; }
        public LocalDate SplitFrom { get; set; }
        public string Code { get; set; } = string.Empty;
    }
}
